summaryrefslogtreecommitdiffstats
path: root/network/ettercap-NG
diff options
context:
space:
mode:
author meckafett2010-05-11 22:54:45 +0200
committer Michiel van Wessem2010-05-11 22:54:45 +0200
commite8937fb0691fb613b249b397e12311ea14dd8aff (patch)
tree2b50813cd57674d71a93d672af8ea850bf3ade2b /network/ettercap-NG
parent0229d96159745b3aa42f479da9364749ebb88736 (diff)
downloadslackbuilds-e8937fb0691fb613b249b397e12311ea14dd8aff.tar.gz
network/ettercap-NG: Added to 12.1 repository
Diffstat (limited to 'network/ettercap-NG')
-rw-r--r--network/ettercap-NG/README11
-rw-r--r--network/ettercap-NG/doinst.sh19
-rw-r--r--network/ettercap-NG/ettercap-NG.SlackBuild92
-rw-r--r--network/ettercap-NG/ettercap-NG.info8
-rw-r--r--network/ettercap-NG/ettercap.desktop7
-rw-r--r--network/ettercap-NG/slack-desc17
6 files changed, 154 insertions, 0 deletions
diff --git a/network/ettercap-NG/README b/network/ettercap-NG/README
new file mode 100644
index 0000000000..e2e420c716
--- /dev/null
+++ b/network/ettercap-NG/README
@@ -0,0 +1,11 @@
+Ettercap is a suite for man in the middle attacks on LAN. It features
+sniffing of live connections, content filtering on the fly and many other
+interesting tricks. It is capable of intercepting traffic on a network segment, capturing passwords, and conducting man-in-the-middle attacks against a number of common protocols.
+
+It supports active and passive dissection of many protocols (even ciphered ones) and includes many feature for network and host analysis.
+
+It is free software, licensed under the terms of the
+GNU General Public License.
+
+Ettercap-NG requires libnet. A SlackBuild for this is available at
+SlackBuilds.org.
diff --git a/network/ettercap-NG/doinst.sh b/network/ettercap-NG/doinst.sh
new file mode 100644
index 0000000000..837a7c8f69
--- /dev/null
+++ b/network/ettercap-NG/doinst.sh
@@ -0,0 +1,19 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/etter.conf.new
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/network/ettercap-NG/ettercap-NG.SlackBuild b/network/ettercap-NG/ettercap-NG.SlackBuild
new file mode 100644
index 0000000000..7ba51fc551
--- /dev/null
+++ b/network/ettercap-NG/ettercap-NG.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackbuild for ettercap-NG
+#
+# Copyright 2008 meckafett <tom[DOT]bradish[AT]gmail[DOT]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ettercap-NG
+VERSION=${VERSION:-0.7.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # exit on most errors.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-plugins \
+ --enable-gtk \
+ --build=$ARCH-slackware-linux \
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG INSTALL LICENSE README* THANKS TODO* doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/ettercap.desktop > $PKG/usr/share/applications/ettercap.desktop
+
+mv $PKG/etc/etter.conf $PKG/etc/etter.conf.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/ettercap-NG/ettercap-NG.info b/network/ettercap-NG/ettercap-NG.info
new file mode 100644
index 0000000000..c0c5147e67
--- /dev/null
+++ b/network/ettercap-NG/ettercap-NG.info
@@ -0,0 +1,8 @@
+PRGNAM="ettercap-NG"
+VERSION="0.7.3"
+HOMEPAGE="http://ettercap.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/ettercap/ettercap-NG-0.7.3.tar.gz"
+MD5SUM="28fb15cd024162c55249888fe1b97820"
+MAINTAINER="meckafett"
+EMAIL="tom.bradish@gmail.com"
+APPROVED="Michiel"
diff --git a/network/ettercap-NG/ettercap.desktop b/network/ettercap-NG/ettercap.desktop
new file mode 100644
index 0000000000..5ca2e8b4d1
--- /dev/null
+++ b/network/ettercap-NG/ettercap.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Ettercap GTK
+Icon=/usr/share/ettercap/ettercap.png
+Exec=/usr/bin/ettercap --gtk
+Terminal=false
+Type=Application
+Categories=Network;System;Security;GTK;
diff --git a/network/ettercap-NG/slack-desc b/network/ettercap-NG/slack-desc
new file mode 100644
index 0000000000..cbfdd41081
--- /dev/null
+++ b/network/ettercap-NG/slack-desc
@@ -0,0 +1,17 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+ettercap-NG: ettercap (Multipurpose sniffer/interceptor/logger)
+ettercap-NG:
+ettercap-NG: Ettercap is a suite for man in the middle attacks on LAN. It
+ettercap-NG: features sniffing of live connections, content filtering on the
+ettercap-NG: fly and many other interesting tricks. It supports active and
+ettercap-NG: passive dissection of many protocols (even ciphered ones) and
+ettercap-NG: includes many feature for network and host host analysis.
+ettercap-NG:
+ettercap-NG: Homepage: http://ettercap.sourceforge.net/
+ettercap-NG: